List tags for a subscriber
curl --request GET \
--url https://api.kit.com/v4/subscribers/{subscriber_id}/tags \
--header 'X-Kit-Api-Key: <api-key>'require 'uri'
require 'net/http'
url = URI("https://api.kit.com/v4/subscribers/{subscriber_id}/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Kit-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyconst options = {method: 'GET', headers: {'X-Kit-Api-Key': '<api-key>'}};
fetch('https://api.kit.com/v4/subscribers/{subscriber_id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kit.com/v4/subscribers/{subscriber_id}/tags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Kit-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/subscribers/{subscriber_id}/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Kit-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.kit.com/v4/subscribers/{subscriber_id}/tags"
headers = {"X-Kit-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"tags": [
{
"id": 140,
"name": "Tag B",
"tagged_at": "2023-02-17T10:43:55Z"
},
{
"id": 141,
"name": "Tag A",
"tagged_at": "2023-02-17T10:43:55Z"
}
],
"pagination": {
"has_previous_page": false,
"has_next_page": false,
"start_cursor": "WzEyXQ==",
"end_cursor": "WzExXQ==",
"per_page": 500
}
}{
"errors": [
"The access token is invalid"
]
}{
"errors": [
"Not Found"
]
}Subscribers
List tags for a subscriber
Returns a cursor-paginated list of the tags currently applied to a subscriber, including when each was applied (tagged_at).
To see every tag in the account, use List tags. To add or remove a tag for this subscriber, use Tag a subscriber and Remove tag from subscriber.
GET
/
v4
/
subscribers
/
{subscriber_id}
/
tags
List tags for a subscriber
Authorizations
API KeyOAuth2
Authenticate API requests via an API Key
Path Parameters
Query Parameters
To fetch next page of results, use ?after=<end_cursor>
To fetch previous page of results, use ?before=<start_cursor>
Set to true to include the total_count in the response. This option can cause slow responses; if paging through results, request it only on the first page and reuse the value for subsequent pages.
Number of results per page. Default 500, maximum 1000.
Was this page helpful?